Get the tasks that wait for feedback. An administrator gets the tasks of all the open projects. A manager gets the tasks of the open projects they manage. A supervisor gets the tasks of the open projects they supervise, in their departments only. The manager and supervisor roles are the roles held on the project team. If you do not manage or supervise a project, you get an empty list. Without page, the response is a list without order. With page, the response is a page of tasks.
Query parameters
-
Get only the tasks of this project
-
Get only the tasks of this task type
-
Get only the tasks of this task status
-
Get only the tasks of these assignees. Give a comma-separated list of person identifiers, or the value unassigned to get the tasks without assignee.
-
Get only the tasks of this episode
-
Get only the tasks that end on this date or after
-
Get only the tasks that end on this date or before
-
Sort order. One of priority, due_date, estimation or entity_name. Another value sorts by project, episode, sequence, entity type, entity and task type names.
Values are
priority,due_date,entity_name, orestimation. -
Page to get. A value below 1 is read as 1.
-
Number of tasks in a page. The default value is 100. A value below 1 is read as 1.
Default value is
100.
curl -X GET "http://api.example.com/data/user/tasks-to-check" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/tasks-to-check"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
[
{
"id": "b35b7fb5-df86-5776-b181-68564193d360",
"name": "Review",
"task_type_id": "c46c80c6-e097-6887-c292-79675204e470",
"task_status_id": "d57d91d7-f108-7998-d403-80786315f580",
"assigner_id": "e68e02e8-0219-8009-e514-918974260690",
"assignees": [
"f79f13f9-1320-9010-f625-a09008537180"
],
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]
{
"data": [
{}
],
"stats": {
"total": 42,
"total_duration": 42,
"total_estimation": 42
},
"page": 42,
"limit": 42,
"is_more": true
}